/*
 * L022_0101_0101
 * 
 * Confirmation of ADF download incapability
 *
 */

import com.nttdocomo.ui.*;
import com.nttdocomo.io.*;

/**
 * Confirmation of ADF download incapability
 * @extends IApplication
 */

public class L022_0101_0101 extends IApplication
{
    /**
     * Overview of functions  :Startup method of i appli
     */
    public void start()
    {
		Display.setCurrent(new MainPanel());
    }

	/**
	 * Main screen of confirmation of ADF download incapability
	 * @extends Panel
	 * @implements SoftKeyListener
	 */
    class MainPanel extends Panel implements SoftKeyListener
    {

		Label lb1;
		Label lb2;
	    /**
	     * Constructors of the MainPanel class
	     */
		MainPanel()
		{
			/* Settings of display items */
			lb1 = new Label("Echou");

			/* Add each component to screen */
			add(lb1);

			/* Listener setting */
	    	setSoftKeyListener(this);
	    	setSoftLabel(Frame.SOFT_KEY_1, "Quit");

		}

	    /**
	     * When soft key is pressed, end the application
	     * @param anIndex/ index of soft key
	     */
		public void softKeyPressed(int anIndex) {;
	    	if (anIndex == Frame.SOFT_KEY_1) {
				IApplication.getCurrentApp().terminate();
	    	}
		}

	    /**
	     * When soft key is released, operate nothing
	     * @param anIndex/ index of soft key
	     */
		public void softKeyReleased(int anIndex) {
		}
	}
}
