/**
 * J011_2306_0101
 *
 *
 *
 * IApplication class action check(normal route)
 *
 * $Id: J011_2306_0101.java,v 1.2 2002/01/18 06:00:39 t_yaeda Exp $
 */

import com.nttdocomo.ui.*;

/**
 * IApplication class action check main class
 * @extends IApplication
 */
public class J011_2306_0101 extends IApplication {

    /**
     * starting method for I-appli
     */
    public void start () {
        Display.setCurrent(new MainPanel());
    }
}

/**
 * Iapplication class action check main screen
 * @extends Panel
 * @implements SoftKeyListener
 * @implements ComponentListener
 */
class MainPanel extends Panel implements SoftKeyListener,ComponentListener {

    private TextBox textBox = new TextBox("", 20, 3, TextBox.DISPLAY_ANY);
    private ListBox menuList = new ListBox(ListBox.CHOICE);
    private Button button = new Button("execute");
    private String[] url = new String[1];
    private String[] menuListItem = {
//2002/07/26 DoJa1.5            "",
//2002/07/26 DoJa1.5            "",
            "03 System.exit()"
    };


    /**
     * Constructor of MainPanel class
     */
    public MainPanel() {

        try {
            /* display of the main panel */
            showMainPanel();
        } catch (Exception e) {
            Dialog errDialog = new Dialog(Dialog.DIALOG_ERROR, "error");
            errDialog.setText("Error:" + e.toString());
            errDialog.show();
        }
    }

    /**
     * display the main panel
     */
    public void showMainPanel() {
        setTitle("API class normal route");
        menuList.setItems(menuListItem);
        add(menuList);
        add(button);
        add(textBox);
        setSoftLabel(Frame.SOFT_KEY_1, "exit");

        /* setting the listener */
        setSoftKeyListener(this);
        setComponentListener(this);
    }

    /**
     * get the event on a component
     * @param aComponent The component on which a event occurred
     * @param aType Type of an event.
     * @param aParam Parameter of an event
     */
    public void componentAction(Component aComponent, int aType, int aParam) {

        /* clearing menu list */
        if ( aComponent == menuList ) {
            textBox.setText("");
        }

        if( aComponent == button ){
            switch(menuList.getSelectedIndex()){
//2002/07/26 DoJa1.5                case 0:
//2002/07/26 DoJa1.5                    try {
//2002/07/26 DoJa1.5                        url[0] = ("http://na02.navigw.nttdocomo.co.jp/02");

                        /* An exception is detected. */
//2002/07/26 DoJa1.5                        IApplication.getCurrentApp().launch(100,url);
                    /* exception processing */
//2002/07/26 DoJa1.5                    } catch (IllegalArgumentException e) {
//J011_2306_0101
//2002/07/26 DoJa1.5                        textBox.setText("IllegalArgumentException:"+e.getMessage());
//2002/07/26 DoJa1.5                    }
//2002/07/26 DoJa1.5                    break;
//2002/07/26 DoJa1.5                case 1:
//2002/07/26 DoJa1.5                    try {
//2002/07/26 DoJa1.5                        url[0] = ("http://na02.navigw.nttdocomo.co.jp/02");

                        /* An exception is detected. */
//2002/07/26 DoJa1.5                        IApplication.getCurrentApp().launch(IApplication.getCurrentApp().LAUNCH_BROWSER,url);
                    /* exception processing */
//2002/07/26 DoJa1.5                    } catch (SecurityException e) {
//J011_2306_0103
//2002/07/26 DoJa1.5                        textBox.setText("SecurityException:"+e.getMessage());
//2002/07/26 DoJa1.5                    }
//2002/07/26 DoJa1.5                    break;
//2002/07/26 DoJa1.5                case 2:
			case 0:		//2002/07/26 DoJa1.5
                    try {
                        /* An exception is detected. */
                        System.exit(0);
                    /* exception processing */
                    } catch (SecurityException e) {
//J011_2306_0104
                        textBox.setText("SecurityException:"+e.getMessage());
                    }
                    break;
            }
        }
    }

    /**
     * do nothing when a softkey is pushed
     * @param anIndex index of the key
     */
    public void softKeyPressed(int anIndex) {}

    /**
     * terminate the application when softkey1 is released
     * @param anIndex index of the key
     */
    public void softKeyReleased(int anIndex) {
        if (anIndex == Frame.SOFT_KEY_1) {
            IApplication.getCurrentApp().terminate();
        }
    }
}
