/**
 * J012_4501_0101
 * MainPanel
 *
 * Ticker class boundary test
 *
 * $Id: J012_4501_0101.java,v 1.1 2001/11/30 04:48:00 lan Exp $
 */

import com.nttdocomo.ui.*;
import com.nttdocomo.util.*;


/**
 * Ticker class boundary test main class
 * @extends IApplication
 */
public class J012_4501_0101 extends IApplication {

    /**
     * starting method for I-appli
     */
    public void start() {
        Display.setCurrent(new MainPanel());
    }
}


/**
 * Ticker class boundary test main screen
 * @extends Panel
 * @implements SoftKeyListener
 * @implements ComponentListener
 */
class MainPanel extends Panel implements SoftKeyListener, ComponentListener {

    TextBox textBox1 = new TextBox("",20,1,TextBox.DISPLAY_ANY);
    String[] subItems = {
       
            "1.Ticker",
            "2.setText"
            
        };


    Label   classLabel       = new Label("Ticker boundary test");
  //  ListBox menuList         = new ListBox(ListBox.CHOICE);
    ListBox menuList2        = new ListBox(ListBox.CHOICE);
    Button  execButton       = new Button("execute");
    Ticker  ticker           = new Ticker("Ticker");
    int     maxInt           = 0x7FFFFFFF;
    int     sH;
    int     sW;
    boolean sizeFlag         = false;
    Ticker testObj           = new Ticker("T");
    Ticker left              = new Ticker("LEFT");
    Ticker right             = new Ticker("RIGHT");
    Ticker top               = new Ticker("TOP");
    Ticker bottom            = new Ticker("BOTTOM");

   /**
     * Constructor of MainPanel class
     */
    public MainPanel() {
        /* setting of the display item */
   //     menuList.setItems(menuListItem);
        menuList2.setItems(subItems);
        setTitle("API class boundary route");
        setSoftLabel(Frame.SOFT_KEY_1, "exit");

        /* get the size of the screen */
        sH = getHeight();
        sW = getWidth();

        /* adding each component on the display */
        add(classLabel);
        add(textBox1);
        add(menuList2);
        execButton.setSize(sW,execButton.getHeight());
        add(execButton);
        ticker.setSize(sW/2,ticker.getHeight());
        add(ticker);


        /* setting the listener */
        setSoftKeyListener(this);
        setComponentListener(this);
    }

    /**
     * do nothing when a softkey is pushed
     */
    public void softKeyPressed(int anIndex) {}

    /**
     * terminate the application when softkey1 is released
     */
    public void softKeyReleased(int anIndex) {

        /* terminate the application when softkey1 is released */
        if (anIndex == Frame.SOFT_KEY_1) {
            IApplication.getCurrentApp().terminate();
        }
    }

    /**
     * get the event on a component
     * @param aComponent The component on which a event occurred
     * @param aType Type of an event.
     * @param aParam Parameter of an event
     */
    public void componentAction(Component aComponent, int aType, int aParam) {

        /* when the menu is choiced */
        
        /* when  the exsecution button is pushed */
        if (aComponent == execButton
            && aType == ComponentListener.BUTTON_PRESSED) {
            	   test1();
            }
           
        }

    /**
     * dialog display method
     * @param   aText chalacter sequence which is displaied
     */
    public void showDialog(String aText) {
        Dialog  d = new Dialog(Dialog.BUTTON_OK, "result");
        d.setText(aText);
        d.show();
    }

    /**
     * behavior in case of the maximum parameter
     */
    public void test1() {
        int idx = menuList2.getSelectedIndex();
		 String	Str = new String("");
         Str = textBox1.getText();
              
        
                try {
                    if( idx == 0 ) {
                        Ticker t = new Ticker(Str);
                        add(t);
                    } else {
                        ticker.setText(Str);
                    }
                } catch( Exception e ) {
                    showDialog("NG:" + e.toString());
                }
    }
}           