/**
 * J014_0301_0309
 *
 * Operation of the logical illegal data of HttpConnection.
 *
 * $Id: J014_0301_0309.java,v 1.1 2001/11/30 02:50:18 lan Exp $
 */

import java.io.*;
import javax.microedition.io.*;
import com.nttdocomo.ui.*;
import com.nttdocomo.io.*;

/**
 * HttpConnection Logic exception generating operation check main class
 * @extends IApplication
 */
public class J014_0301_0309 extends IApplication {
    /**
     * starting method for I-appli
     */
    public void start() {
        Display.setCurrent(new MainPanel());
    }

    /**
     * HttpConnection Logic exception generating operation check main screen
     * @extends Panel
     * @implements SoftKeyListener
     * @implements ComponentListener
     */
    class MainPanel extends Panel implements SoftKeyListener,ComponentListener {

        TextBox textBox1 = new TextBox("",20,1,TextBox.DISPLAY_ANY);

        Label title;
        Button exe;

        /**
         * constructor of MainPanel class
         */
        MainPanel() {
            /* create a component */
            setTitle("API class abnormal route");
            title=new Label("Operation of the logical illegal data of HttpConnection.");
            title.setSize(getWidth(),title.getHeight());
            add(title);
            add(textBox1);
            exe = new Button("execute");
            add(exe);
            /* setting of the listener */
            setSoftKeyListener(this);
            setSoftLabel(Frame.SOFT_KEY_1, "exit");
            setComponentListener(this);
        }

        /**
         * terminate the application when softkey is pushed
         * @param anIndex Index of the softkey
         */
        public void softKeyPressed(int anIndex) {
            if (anIndex == Frame.SOFT_KEY_1) {
                IApplication.getCurrentApp().terminate();
            }
        }

        /**
         * do nothing when a softkey1 is released
         * @param anIndex Index of the softkey
         */
        public void softKeyReleased(int anIndex) {
        }

        /**
         * get the event on a component
         * @param aComponent The component on which an event occurs
         * @param aType Type of an event.
         * @param aParam Parameter of an event
         */
        public void componentAction(Component aComponent, int aType, int aParam) {
            /* when  the execution button is pushed */
            if (aComponent == exe && aType == ComponentListener.BUTTON_PRESSED) {
                /* test the menu which is choiced */

                String Str = new String("");
                Str = textBox1.getText();

                test(Str);
            }
        }

        /**
         * dialog display method
         * @param   aText chalacter sequence which is displaied
         */
        public void showDialog(String aText) {
            Dialog  d = new Dialog(Dialog.BUTTON_OK, "notification");
            d.setText(aText);
            d.show();
        }

        /**
         * Operation of the logical illegal data of HttpConnection.
         * @param anIndex Index of the menu which is choiced
         */
        public void test(String url) {
            HttpConnection  con=null;
            InputStream     is=null;
            OutputStream    os=null;
            String          filename="J014_0301_0309.jam";
            int             i;

	    String url1 = "";
	    String url2 = "";

         // J014_0301_0309
            url2 = url;
            url2 += ":12345/J014/J014_0301_0309/bin/";
            try {
                 con=(HttpConnection) Connector.open(
                                    url2 + filename,
                                   Connector.READ, true);
                 } catch ( IllegalArgumentException e ) {
                   showDialog(e.getMessage());
                 } catch( Exception e1 ) {
                   showDialog("NG:" + e1.toString());
                 }
            }
    }
}
