/*
 * J021_0317_0201
 * 
 * ADF test 
 * Confirmation of depiction area(No specified value)
 * $Id: J021_0317_0201.java,v 1.1 2001/11/29 13:07:46 hoshi Exp $
 */

import com.nttdocomo.ui.*;
import com.nttdocomo.io.*;

/**
 * ADF test
 * 
 * @extends IApplication
 */
public class J021_0317_0201 extends IApplication
{
    /**
     * Overview of functions  :Startup method of i appli
     */
    public void start()
    {
		Display.setCurrent(new MainCanvas());
    }

	/**
	 * Main screen of confirmation of depiction area(no specified value)
	 * @extends Canvas
	 * 
	 */
    class MainCanvas extends Canvas 
    {

		int backColor;
		int stringColor;

		/**
		* Constructor of MainCanvas class
		*/
		public MainCanvas(){

			/* Color settings */
			backColor = Graphics.getColorOfName(Graphics.RED);
			stringColor = Graphics.getColorOfName(Graphics.BLACK);

			/* Settings of display items */
		    setSoftLabel(Frame.SOFT_KEY_1, "exit");

		}

		/**
		* Screen depiction
		*/
		public void paint(Graphics g) {
			g.lock();
			g.setColor(backColor);
			g.fillRect(0,0,getWidth(),getHeight());
			g.setColor(stringColor);
			g.drawString("DrawArea not specified",0,10);
			g.drawString("Depiction area and specification",0,25);
			g.drawString("identical",0,40);
			g.unlock(true);
		}

		/**
		* When soft key is pressed, end the application
		* @param anIndex/ index of soft key
		*/
		public void processEvent(int type,int param) {
			if(type == Display.KEY_PRESSED_EVENT) {
				switch(param) {
					case Display.KEY_SOFT1:
						IApplication.getCurrentApp().terminate();
						break;
					default:
				}
			}
		}
	}
}
