
/**
 * J211_1101_0102.java
 * 
 * J211_1101_0102
 * MenuPanel
 * TestPanel
 * 
 * Class's operational tes(IApplication)
 * 
 * $Id: J211_1101_0102.java,v 1.2 2002/05/16 06:24:18 torikatu Exp $
 */

import com.nttdocomo.io.*;
import com.nttdocomo.ui.*;
import com.nttdocomo.lang.*;

/**
 * Main class of class's operational test(IApplication)
 * @extends IApplication
 */
public class J211_1101_0102 extends IApplication {


    public J211_1101_0102() {}

//J211_1101_0102
    public J211_1101_0102(int aint) {
        int i = aint;
        String str = new String("NG");
    }

    /**
     * Commencing method to i-appli
     */
    public void start() {
        testCanvas canvas = new testCanvas();
        Display.setCurrent(canvas);
    }
}

/**
 * Confirmation screen class
 * @extends Canvas
 */
class testCanvas extends Canvas {

    /**
     * Constructor of testCanvas class
     * @param aType  Location of items of Menu
     * @param aFrame  Screen
     */
    public testCanvas() {
        /* Setting of the soft key label */
        setSoftLabel(Frame.SOFT_KEY_1,"exit");
    }

    /**
     * Screen depiction
     */
    public void paint(Graphics g) {
        g.lock();
        g.drawString("Check behavior of the class",0,10);
        g.drawLine(0,15,getWidth(),15);
        g.drawString("IApplication2",0,30);
        g.drawString("OK",0,50);
        g.unlock(true);
    }

    /**
     * Define the behavior in the case key being pressed
     * @param aSoftKey  Type of soft key
     */
    public void processEvent(int type,int param) {
        if(type == Display.KEY_RELEASED_EVENT) {
            switch(param) {
                case Display.KEY_SOFT1:
                    IApplication.getCurrentApp().terminate();
                    break;
                default:
            }
        }
    }
}
