/*
 * J221_0301_0101.java
 * Confirmation of version-up operations
 * J221_0301_0101
 *
 * $Id: J221_0301_0101org5.java,v 1.1 2002/01/07 02:38:39 hoshi Exp $
 */

import java.io.*;
import com.nttdocomo.ui.*;

/**
 * Main class for checking behavior of version-up
 * @extends IApplication
 */
public class J221_0301_0101 extends IApplication {

    String  s1="1234567890123456789012345678901234567890";
    String  s2="1234567890123456789012345678901234567890";
    String  s3="miojvnuahviuhauyhuioheyuhguwurewoiyruiwrfaddfg";
    String  s5="micmiemkjfdanviuenrvbiunjnujjijjnidfvvvvgr";
    String  s6="abcdefghijabcdefghijabcdefghijabcdefghij";
    String  s7="jkhfdahfiuhihjkhadjfdaoigjoijigojiojhioj";
    String  s9="jhaihiuohnivwojvomlkdipoepopiurioueuiurr";
    String  s10="1234567890123456789012345678901234567890";
    String  s11="123456789012345";

    /**
     * Overview of functions  :Startup method of i appli
     */
    public void start() {
        Display.setCurrent(new MainPanel());
    }

    /**
     * Main screen of confirmation of version-up operations
     * @extends Panel
     */
    class MainPanel extends Panel implements SoftKeyListener {

        Label aLabel;
        Label bLabel;

        /**
         * Constructor of MainPanel
         */
        MainPanel() {

            /* Settings of display items */
            setTitle("JAM-JVM");
            aLabel = new Label("Confirmation of version-up operations");
            bLabel = new Label("Ver.2");

            /* Add each component to screen */
            add(aLabel);
            add(bLabel);

            /* Listener setting */
            setSoftLabel(Frame.SOFT_KEY_1, "exit");
            setSoftKeyListener(this);

            Ticker tk1=new Ticker("AppSize=30KB");
            add(tk1);

        }

        /**
         * Terminate the application when soft key is pressed.
         * @param anIndex/ index of soft key
         */
        public void softKeyPressed(int k) {}

        /**
         * No action to be taken when soft key is released.
         * @param anIndex/ index of soft key
         */
        public void softKeyReleased(int k) {
            if (k == Frame.SOFT_KEY_1) {
                IApplication.getCurrentApp().terminate();
            }
        }
    }
}
