/**
 * L212_0401_0202.java
 * 
 * L212_0401_0202
 * MenuPanel
 * 
 * Class operation test
 * 
 */

import java.io.*;
import javax.microedition.io.*;
import com.nttdocomo.ui.*;
import com.nttdocomo.io.*;

/**
 * UI boundary operations Dialog main class
 * @extends IApplication
 */
public class L212_0401_0202 extends IApplication {
    /**
     * Startup method of i-appli
     */
    public void start() {
        MenuPanel menuPanel = new MenuPanel();
        Display.setCurrent(menuPanel);
    }
}

/**
 * UI boundary operations Dialog check main screen
 * @extends Panel
 * @implements SoftKeyListener
 * @implements ComponentListener
 */
class MenuPanel extends Panel implements SoftKeyListener,ComponentListener {
    Button  execButton    = null;  /* execute button */
    String  longStr       = "Aw÷tW̴̷`w÷tW̴̷`w÷tW̴̷`w÷tW̴̷`w÷tW̴̷`w÷tW̴̷`w÷tW̴̷`w÷tW̴̷`w÷tW̴̷`w÷tW̴̷`w÷tW̴̷`";

    /**
     * Constructor of MainPanel class
     */
    MenuPanel() {
        try {
            showMainPanel();
        } catch(Exception e) {
            showMsg(e.toString());
        } catch(Error e) {
            showMsg(e.toString());
        }
    }

    /**
     * Display a main panel
     */
    public void showMainPanel() {
        setTitle("L212");

        /* Add component /create */
        execButton     = new Button("");
        add(execButton);

        /* setting of display softkey */
        setSoftLabel(Frame.SOFT_KEY_1,"}");

        /* Listener setting */
        setSoftKeyListener(this);
        setComponentListener(this);
    }

    /**
     * Display dialog messege
     * @param  aMsg  dialog messege
     */
    void showMsg(String aMsg) {
        Dialog msgDialog = new Dialog(Dialog.BUTTON_OK, "uT");
        msgDialog.setText(aMsg);
        msgDialog.show();
    }

    /**
     * No action to be made once soft key is pressed
     * @param aSoftKey  Type of softkey
     */
    public void softKeyPressed(int aSoftKey) {}

    /**
     * Terminate the application when soft key1 isexit
     * @param aSoftKey  Type of softkey
     */
    public void softKeyReleased(int aSoftKey) {
        if (aSoftKey == Frame.SOFT_KEY_1) {
            IApplication.getCurrentApp().terminate();
        }
    }

    /**
     * Reseibe events occurred in components
     * @param aComponent  Component where an enent occured
     * @param aType       Type of events
     * @param aParam      Parameter of events
     */
    public void componentAction(Component aComponent, int aAction, int aParam) {        if (aAction == ComponentListener.BUTTON_PRESSED) {
            Dialog msgDialog = new Dialog(Dialog.BUTTON_OK,longStr);
            msgDialog.setText(longStr);
            msgDialog.show();
        }
    }
}
