/**
 *J011_1102_0101
 *Main Panel
 *MyAudioPresenter
 *
 *AudioPresenter class action check (normal route)
 *
 *$ID:$
 */
 
import com.nttdocomo.io.*;
import com.nttdocomo.ui.*;

/**
 *AudioPresenter class action check main class
 *@IApplication
 */
public class J011_1102_0101 extends IApplication{
	public void start(){
		Display.setCurrent(new MainPanel());
	}
}

/**
 *class ConnectionException main display for confirming of operation
 *@extends Panel
 *@implements SoftKeyListener
 */
class MainPanel extends Panel implements SoftKeyListener,ComponentListener{
	String[] menuListItem = {
//2002/07/25 DoJa1.5		"0 PRIORITY",
//2002/07/25 DoJa1.5		"1 MIN_PRIORITY",
//2002/07/25 DoJa1.5		"2 NORM_PRIORITY",
//2002/07/25 DoJa1.5		"3 MAX_PRIORITY",
//2002/07/25 DoJa1.5		"4 SYNC_MODE",
//2002/07/25 DoJa1.5		"5 ATTR_SYNC_OFF",
//2002/07/25 DoJa1.5		"6 ATTR_SYNC_ON",
//2002/07/25 DoJa1.5		"7 MIN_VENDOR_ATTR",
//2002/07/25 DoJa1.5		"8 MAX_VENDER_ATTR",
		"9 AUDIO_PLAYING",
		"10 AUDIO_STOPPED",
		"11 AUDIO_COMPLETE"
//2002/07/25 DoJa1.5		"11 AUDIO_COMPLETE",
//2002/07/25 DoJa1.5		"12 AUDIO_SYNC",
//2002/07/25 DoJa1.5		"13 MIN_VENDOR_AUDIO_EVENT",
//2002/07/25 DoJa1.5		"14 MAX_VENDOR_AUDIO_EVENT",
//2002/07/25 DoJa1.5		"15 AUDIO_PAUSED",
//2002/07/25 DoJa1.5		"16 AUDIO_RESTARTED",
//2002/07/25 DoJa1.5		"17 MIN_OPTION_ATTR",
//2002/07/25 DoJa1.5		"18 MAX_OPTION_ATTR"
	};
	
	String[] exceptionItem = {
//2002/07/25 DoJa1.5		"PRIORITY",
//2002/07/25 DoJa1.5		"MIN_PRIORITY",
//2002/07/25 DoJa1.5		"NORM_PRIORITY",
//2002/07/25 DoJa1.5		"MAX_PRIORITY",
//2002/07/25 DoJa1.5		"SYNC_MODE",
//2002/07/25 DoJa1.5		"ATTR_SYNC_OFF",
//2002/07/25 DoJa1.5		"ATTR_SYNC_ON",
//2002/07/25 DoJa1.5		"MIN_VENDOR_ATTR",
//2002/07/25 DoJa1.5		"MAX_VENDER_ATTR",
		"AUDIO_PLAYING",
		"AUDIO_STOPPED",
		"AUDIO_COMPLETE"
//2002/07/25 DoJa1.5		"AUDIO_COMPLETE",
//2002/07/25 DoJa1.5		"AUDIO_SYNC",
//2002/07/25 DoJa1.5		"MIN_VENDOR_AUDIO_EVENT",
//2002/07/25 DoJa1.5		"MAX_VENDOR_AUDIO_EVENT",
//2002/07/25 DoJa1.5		"AUDIO_PAUSED",
//2002/07/25 DoJa1.5		"AUDIO_RESTARTED",
//2002/07/25 DoJa1.5		"MIN_OPTION_ATTR",
//2002/07/25 DoJa1.5		"MAX_OPTION_ATTR"
	};
	
	Label classLabel = new Label("AudioPresenter");
	ListBox menuList = new ListBox(ListBox.CHOICE);
	TextBox resultText = new TextBox("",20,3,TextBox.DISPLAY_ANY);
	Button Button1 = new Button("execute");
	
	/*
	*Constructor of MainPanel class
	*/
	public MainPanel(){
		try{
			/*display of the main panel*/
			showMainPanel();
		}catch(Exception e){
			Dialog errDialog = new Dialog(Dialog.DIALOG_ERROR,"error");
		}
	}
	
	/**
	*display constant definition check screen
	*/
	void showMainPanel(){
	
		/*setting of the display item*/
		menuList.setItems(menuListItem);
		setTitle("API class normal route");
		setSoftLabel(Frame.SOFT_KEY_1,"exit");
		
		/*add on each component*/
		add(classLabel);
		add(menuList);
		add(Button1);
		add(resultText);
		
		/*setting the listener*/
		setSoftKeyListener(this);
		setComponentListener(this);
		
		/*Constant member definition check
		 *following is confirming that constant member can't be set up the value
		 *check the failure in building and delete to the end of the method
		 */
		 
		 /**
//2002/07/25 DoJa1.5		 AudioPresenter.PRIORITY    =0;
//2002/07/25 DoJa1.5		 AudioPresenter.NORM_PRIORITY    =0;
//2002/07/25 DoJa1.5		 AudioPresenter.MAX_PRIORITY    =1;
//2002/07/25 DoJa1.5		 AudioPresenter.SYNC_MODE    =1;
//2002/07/25 DoJa1.5		 AudioPresenter.ATTR_SYNC_OFF    =1;
//2002/07/25 DoJa1.5		 AudioPresenter.ATTR_SYNC_ON    =0;
//2002/07/25 DoJa1.5		 AudioPresenter.MIN_VENDOR_ATTR    =1;
//2002/07/25 DoJa1.5		 AudioPresenter.MAX_VENDER_ATTR    =1;
		 AudioPresenter.AUDIO_PLAYING    =0;
		 AudioPresenter.AUDIO_STOPPED    =1;
		 AudioPresenter.AUDIO_COMPLETE    =1;
//2002/07/25 DoJa1.5		 AudioPresenter.AUDIO_SYNC    =1;
//2002/07/25 DoJa1.5		 AudioPresenter.MIN_VENDOR_AUDIO_EVENT    =1;
//2002/07/25 DoJa1.5		 AudioPresenter.MAX_VENDOR_AUDIO_EVENT    =1;
//2002/07/25 DoJa1.5		 AudioPresenter.AUDIO_PAUSED    =1;
//2002/07/25 DoJa1.5		 AudioPresenter.AUDIO_PLAYING    =0;
//2002/07/25 DoJa1.5		 AudioPresenter.MIN_OPTION_ATTR    =1;
//2002/07/25 DoJa1.5		 AudioPresenter.MAX_OPTION_ATTR    =1;
		 */
	}
	
	/**
	*do nothing when a softkey is pushed
	*/
	public void softKeyPressed(int anIndex){}
	
	/*
	*define the action when softkey is released
	*/
	public void softKeyReleased(int anIndex){
		/*terminate the application when softkey1 is released*/
		if(anIndex == Frame.SOFT_KEY_1){
			IApplication.getCurrentApp().terminate();
		}
	}
	
	/**
	*get the event on a component
	*@param aComponent component on which event occurred
	*@param aType Type of an event.
	*@param aParam Parameter of an event
	*/
	public void componentAction(Component aComponent,int aType,int aParam){
		/*processing when the list choice is changed*/
		if(aComponent == menuList && aType == ComponentListener.SELECTION_CHANGED){
			resultText.setText("");
		}
		
		/*processing when the excecute button is pushed*/
		if(aComponent == Button1 && aType == ComponentListener.BUTTON_PRESSED){
			/*Result of constant definition checking reflects textbox of result*/
			resultText.setText(result(menuList.getSelectedIndex()));
		}
	}
	
	String result(int anIndex){
		String resultStr;
		
		/**get the event on a component
		*@param anIndex the index number which selected in listbox
		*@return
		*/
		switch(anIndex){
			/*checking whether Exception which is selected is as a default */
			
//2002/07/25 DoJa1.5	//J011_1102_0101
//2002/07/25 DoJa1.5	case 0:
//2002/07/25 DoJa1.5 		resultStr = isOK(AudioPresenter.PRIORITY == 1);
//2002/07/25 DoJa1.5		break;
			
//2002/07/25 DoJa1.5	//J011_1102_0102
//2002/07/25 DoJa1.5	case 1:
//2002/07/25 DoJa1.5		resultStr = isOK(AudioPresenter.MIN_PRIORITY ==1);
//2002/07/25 DoJa1.5		break;
			
//2002/07/25 DoJa1.5	//J011_1102_0103
//2002/07/25 DoJa1.5	case 2:
//2002/07/25 DoJa1.5		resultStr = isOK(AudioPresenter.NORM_PRIORITY == 5);
//2002/07/25 DoJa1.5		break;
			
//2002/07/25 DoJa1.5	//J011_1102_0104
//2002/07/25 DoJa1.5	case 3:
//2002/07/25 DoJa1.5		resultStr = isOK(AudioPresenter.MAX_PRIORITY == 10);
//2002/07/25 DoJa1.5		break;
			
//2002/07/25 DoJa1.5	//J011_1102_0105
//2002/07/25 DoJa1.5	case 4:
//2002/07/25 DoJa1.5		resultStr = isOK(AudioPresenter.SYNC_MODE == 2);
//2002/07/25 DoJa1.5		break;
			
//2002/07/25 DoJa1.5	//J011_1102_0106
//2002/07/25 DoJa1.5	case 5:
//2002/07/25 DoJa1.5		resultStr = isOK(AudioPresenter.ATTR_SYNC_OFF == 0);
//2002/07/25 DoJa1.5		break;
			
//2002/07/25 DoJa1.5	//J011_1102_0107
//2002/07/25 DoJa1.5	case 6:
//2002/07/25 DoJa1.5		resultStr = isOK(AudioPresenter.ATTR_SYNC_ON == 1);
//2002/07/25 DoJa1.5		break;
			
//2002/07/25 DoJa1.5	//J011_1102_0108
//2002/07/25 DoJa1.5	case 7:
//2002/07/25 DoJa1.5		resultStr = isOK(MyAudioPresenter.getMIN_VENDOR_ATTR() == 64);
//2002/07/25 DoJa1.5		break;
			
//2002/07/25 DoJa1.5	//J011_1102_0109
//2002/07/25 DoJa1.5	case 8:
//2002/07/25 DoJa1.5		resultStr = isOK(MyAudioPresenter.getMAX_VENDOR_ATTR() == 127);
//2002/07/25 DoJa1.5		break;
			
			//J011_1102_0110
//2002/07/25 DoJa1.5	case 9:
			case 0:
				resultStr = isOK(AudioPresenter.AUDIO_PLAYING == 1);
				break;
			
			//J011_1102_0111
//2002/07/25 DoJa1.5	case 10:
			case 1:
				resultStr = isOK(AudioPresenter.AUDIO_STOPPED == 2);
				break;
			
			//J011_1102_0112
//2002/07/25 DoJa1.5	case 11:
			case 2:
				resultStr = isOK(AudioPresenter.AUDIO_COMPLETE == 3);
				break;
			
//2002/07/25 DoJa1.5	//J011_1102_0113
//2002/07/25 DoJa1.5	case 12:
//2002/07/25 DoJa1.5		resultStr = isOK(AudioPresenter.AUDIO_SYNC == 4);
//2002/07/25 DoJa1.5		break;
			
//2002/07/25 DoJa1.5	//J011_1102_0114
//2002/07/25 DoJa1.5	case 13:
//2002/07/25 DoJa1.5		resultStr = isOK(MyAudioPresenter.getMIN_VENDOR_AUDIO_EVENT() == 64);
//2002/07/25 DoJa1.5		break;
			
//2002/07/25 DoJa1.5	//J011_1102_0115
//2002/07/25 DoJa1.5	case 14:
//2002/07/25 DoJa1.5		resultStr = isOK(MyAudioPresenter.getMAX_VENDOR_AUDIO_EVENT() == 127);
//2002/07/25 DoJa1.5		break;
			
//2002/07/25 DoJa1.5	//J011_1102_0116
//2002/07/25 DoJa1.5	case 15:
//2002/07/25 DoJa1.5		resultStr = isOK(MyAudioPresenter.AUDIO_PAUSED == 5);
//2002/07/25 DoJa1.5		break;
				
//2002/07/25 DoJa1.5	//J011_1102_0117
//2002/07/25 DoJa1.5	case 16:
//2002/07/25 DoJa1.5		resultStr = isOK(MyAudioPresenter.AUDIO_RESTARTED == 6);
//2002/07/25 DoJa1.5		break;
				
//2002/07/25 DoJa1.5	//J011_1102_0118
//2002/07/25 DoJa1.5	case 17:
//2002/07/25 DoJa1.5		resultStr = isOK(MyAudioPresenter.MIN_OPTION_ATTR == 128);
//2002/07/25 DoJa1.5		break;
				
//2002/07/25 DoJa1.5	//J011_1102_0119
//2002/07/25 DoJa1.5	case 18:
//2002/07/25 DoJa1.5		resultStr = isOK(MyAudioPresenter.MAX_OPTION_ATTR == 255);
//2002/07/25 DoJa1.5		break;
				
			default:
				resultStr = "ERROR\nMissing Operation";
				break;
		}
		
		/*When a judgment result is NG, an actual value is set as NG addition information*/
		if (resultStr.equals("NG")){
			resultStr += "\n"+exceptionItem[anIndex];
		}
		return resultStr;
	}
	
	/**
	*The justification of a constant definition is judged and the character sequence OK/NG is returned.
	*@param aResult Constant definition judging
	*@implements ComponentListener
	*/
	String isOK(boolean aResult){
		return(aResult ? "OK":"NG");
	}
}


//2002/07/25 DoJa1.5 /**
//2002/07/25 DoJa1.5  *AudioPresenter
//2002/07/25 DoJa1.5  *@extends AudioPresenter
//2002/07/25 DoJa1.5  */
//2002/07/25 DoJa1.5	class MyAudioPresenter extends AudioPresenter{
//2002/07/25 DoJa1.5		public static int getMIN_VENDOR_ATTR(){
//2002/07/25 DoJa1.5			return MIN_VENDOR_ATTR;
//2002/07/25 DoJa1.5		}
//2002/07/25 DoJa1.5		public static int getMAX_VENDOR_ATTR(){
//2002/07/25 DoJa1.5			return MAX_VENDOR_ATTR;
//2002/07/25 DoJa1.5		}
//2002/07/25 DoJa1.5		public static int getMIN_VENDOR_AUDIO_EVENT(){
//2002/07/25 DoJa1.5			return MIN_VENDOR_AUDIO_EVENT;
//2002/07/25 DoJa1.5		}
//2002/07/25 DoJa1.5		public static int getMAX_VENDOR_AUDIO_EVENT(){
//2002/07/25 DoJa1.5			return MAX_VENDOR_AUDIO_EVENT;
//2002/07/25 DoJa1.5		}
//2002/07/25 DoJa1.5	}

