/**
 * J014_0301_0302
 *
 * The check of HttpConnection Logical Illegal data of operation.
 *
 */

import java.io.*;
import javax.microedition.io.*;
import com.nttdocomo.ui.*;
import com.nttdocomo.io.*;

/**
 * The operation check main class of HttpConnection Logical Illegal data.
 * @extends IApplication
 */
public class J014_0301_0302 extends IApplication {
    /**
     * starting method for I-appli
     */
    public void start() {
        Display.setCurrent(new MainPanel());
    }

    /**
     * The operation check main screen of HttpConnection Logical Illegal data.
     * @extends Panel
     * @implements SoftKeyListener
     * @implements ComponentListener
     */
    class MainPanel extends Panel implements SoftKeyListener,ComponentListener {
        Button  execButton = null;    /* execution button */

	//	creating TextBox class
	 TextBox textBox1 = new TextBox("",20,1,TextBox.DISPLAY_ANY);
      
    	Label title;
        TextBox menu;
        Button exe;

        /**
         * constructor of MainPanel class
         */
        MainPanel() {
            /* create a component */
            setTitle("API class abnormal route");
            title=new Label("HttpConnection Logical Illegal data behavior");
            title.setSize(getWidth(),title.getHeight());
            add(title);
        	add(textBox1);
            exe = new Button("execute");
            add(exe);

            /* setting of the listener */
            setSoftKeyListener(this);
            setSoftLabel(Frame.SOFT_KEY_1, "exit");
            setComponentListener(this);
        }

        /**
         * terminate the application when softkey is pushed
         * @param anIndex Index of the softkey
         */
        public void softKeyPressed(int anIndex) {
            if (anIndex == Frame.SOFT_KEY_1) {
                IApplication.getCurrentApp().terminate();
            }
        }

        /**
         * do nothing when a softkey1 is released
         * @param anIndex Index of the softkey
         */
        public void softKeyReleased(int anIndex) {
        }

        /**
         * get the event on a component
         * @param aComponent The component on which an event occurs
         * @param aType Type of an event.
         * @param aParam Parameter of an event
         */
        public void componentAction(Component aComponent, int aType, int aParam) {
            /* when the menu is choiced */
            if( aComponent == menu && aType == ComponentListener.SELECTION_CHANGED ) {
			//	TextBoxdisp(menu.getSelectedIndex());
            }

            /* when  the execution button is pushed */
            if (aComponent == exe && aType == ComponentListener.BUTTON_PRESSED) {
                /* test the menu which is choiced */
                test();
            }
        }

        /**
         * TextBox disp Judge
         * @param anIndex Index of the menu which is choiced
         */
        public void TextBoxdisp(int anIndex) {

         
        }

        /**
         * Examine HttpConnection Logical Illegal data.
         * @param anIndex Index of the menu which is choiced
         */
        public void test(int anIndex) {
           
          
        }

        /**
         * Examine HttpConnection Logical Illegal data.
         * @param anIndex Index of the menu which is choiced
         */
       void test() {
// 2003/03/13 ->
//        MediaData      testMediaData       = null;  /* define media data */
//        MediaResource  testMediaResource   = null;  /* media resource data definition */
/*
			String	Str = new String("");
            Str = textBox1.getText();
            try{
            testMediaData = MediaManager.getData(Str);
                testMediaResource = (MediaResource)testMediaData;
*/
			HttpConnection con = null;
			String	Str = new String("");
			Str = textBox1.getText();
			try{
				con = (HttpConnection) Connector.open(Str, Connector.READ, true);
				con.connect();
				con.close();
// 2003/03/13 <-

			}
			catch(IllegalArgumentException ie){
				showDialog("IllegalArgumentException:" + ie.getMessage());
			}
			catch(Exception e){
				showDialog("Exception NG:" + e.toString());
			}
		}

        /**
         * dialog display method
         * @param   aText chalacter sequence which is displaied
         */
        public void showDialog(String aText) {
            Dialog  d = new Dialog(Dialog.BUTTON_OK, "result");
            d.setText(aText);
            d.show();
        }
    }
}
