/**
 * J221_0204_0302
 *
 * For checking Jar Content-Type
 *
 * $Id: J221_0204_0302.java,v 1.1 2001/12/29 01:45:27 takanao Exp $
 */

import com.nttdocomo.ui.*;

/**
 * Main class for checking Jar Content-Type
 * @extends IApplication
 */

public class J221_0204_0302 extends IApplication {

    MainPanel testPanel = new MainPanel();

    /**
     * Commencing method to i-appli
     */
    public void start() {
        Display.setCurrent(testPanel);
    }
}

/**
 * Appli menu screen
 * @extends Panel
 * @implements SoftKeyListener
 */
class MainPanel extends Panel implements SoftKeyListener {

    /* Definition of GUI components */
    TextBox resultBox = new TextBox(null, 16, 16, TextBox.DISPLAY_ANY);

    /**
     * Create panel (Constructor of Panel)
     */
    public MainPanel() {

        /* GUI settings */
        setSoftLabel(Frame.SOFT_KEY_1, "exit");
        setTitle("Check the jar content-type");

        /* GUI location */
        add(resultBox);

        /* Listener setting */
        this.setSoftKeyListener(this);

        resultBox.setText("The result of behavior of this application has no association with the test result");
    }

    /** 
     * Soft key handler
     * @param aKey Pressed key
     */
    public void softKeyPressed(int aKey) {}

    /** 
     * Soft key handler
     * @param aKey Released key
     */
    public void softKeyReleased(int aKey) {
        /* When soft key1 is released, end the application */
        if (aKey == Frame.SOFT_KEY_1) {
            IApplication.getCurrentApp().terminate();
        }
    }

}
